# Function applyPreSetStatusAbAttrs

- applyPreSetStatusAbAttrs(attrType, pokemon, effect, cancelled, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PreSetStatusAbAttr )
    - - new (...args): PreSetStatusAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PreSetStatusAbAttr

  - pokemon: default
  - effect: StatusEffect
  - cancelled: BooleanHolder
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3612